<?php
require_once(dirname(dirname(__FILE__))."/paineladm/funcoes.php");
$pathlocal = dirname(__FILE__);
//require_once(dirname($pathlocal)."/paineladm/classes/fpdf.class.php");
//require_once(dirname($pathlocal)."/paineladm/classes/sessao.class.php");
$material = $_COOKIE['material'];
$sessao = new sessao();
$senhaCli=$sessao->getVar('iduser');
$idLabo=$sessao->getVar('idLabo');
$inicio=$sessao->getVar('inicio');
$final=$sessao->getVar('final');
$nomeOperador=$sessao->getVar('nomeuser');
//$amostraLong=$sessao->getVar('amostraLong');
//echo("amostralong= $amostraLong<br>");
$objetocalculo = new calculos(); //calcula todos valores finais
$objetocalculoRaioX = new calculosFichaVirtual(); //calcula todos valores finais
$objetoCalculoGerminacaoFichaPadrao = new calculoGerminacaoFichaPadrao(); //calcula todos valores finais



$pdf=new FPDF('P','mm','A4'); //parametos da pagina 
			 $pdf->open();//abre o fpdf
			 //$pdf->AddPage();//adicionando a primera pafina
			 $pdf->SetFont('Arial','',12);
			 $pdf->SetDrawColor(10,10,10);
			 $maximoHAdobe=297;//isso para vertical
			 $maximoLAdobe=210;//isso para vertical
			 $maximoLAdobe=297;//isso para horizontal
			 $maximoHAdobe=210;//isso para horizontal
		     $margemEsquerdaExterna=10;
		     $margemEsquerda=10;
			 $margemDireita=$maximoLAdobe-6;
			 $larguraUtil=$maximoLAdobe-16;
			 $futer=$maximoHAdobe-10;
			 //$larguraUtil=$maximoLAdobe;
			 $cinza=220;
		     $fonte="Arial";
			 $nomeOperador=5;
			 $pdf->SetFillColor($cinza,$cinza,$cinza); 
			 $linha=0;
			 $posicaox1=10;
             $larg1=20;
             $larg2=20;
             $larg3=30;
             $larg4=50;
             $larg5=15;
             $larg6=10;
             $larg7=10;
             $larg8=10;
             $larg9=10;
             $larg10=10;
			 
for($registro=$inicio;$registro<=$final;$registro++):
$amostraLong=$objetocalculo->AchaIdAmostraTendoRegistro($registro);	
$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
 $vetorRXOESP=$objetocalculoRaioX-> captura_registros_invasorasRX("1OES",$amostraLong);
 $vetorRXSILV=$objetocalculoRaioX-> captura_registros_invasorasRX("2SIL",$amostraLong);
 $vetorRXNOCT=$objetocalculoRaioX-> captura_registros_invasorasRX("3NOT",$amostraLong);
 $vetorRXNOCP=$objetocalculoRaioX-> captura_registros_invasorasRX("4NOP",$amostraLong);
 $vetorRXFRAC=$objetocalculoRaioX-> captura_registros_invasorasRX("5FRA",$amostraLong);
 $limiteOESP=sizeof($vetorRXOESP)-1;
 $limiteSILV=sizeof($vetorRXSILV)-1;
 $limiteNOCT=sizeof($vetorRXNOCT)-1;
 $limiteNOCP=sizeof($vetorRXNOCP)-1;
 $limiteFRAC=sizeof($vetorRXFRAC)-1;
 			 $userTTAP = new amostras();
             $userTTAP->extras_select =  " WHERE fic_id=".$amostraLong; //ja funfa, errado mas funfa
			 $userTTAP->selecionaCampos($userTTAP);
			 $disparaCabecalho=1;
			 //echo("sssssssssql= $userTTAP->extras_select <br>");				 
             	 while ($resTTAP = $userTTAP->retornaDados()):
                 //$amostraLong=$resTTAP->fic_amostra;

                 if($disparaCabecalho==1):
        			 $disparaCabecalho=0;
         
					 $pdf->AddPage();//adicionando a primera pafina 
				     $disparaCabecalho=0;	
				 	 $maximoLAdobe=210;
					 $maximoHAdobe=297;
				     $margemEsquerda=10;
					 $margemDireita=$maximoLAdobe-6;
					 $larguraUtil=$maximoLAdobe-16;
					 $cinza=220;
					 $pdf->SetFillColor($cinza,$cinza,$cinza);
					 $grosso=0.7;
					 $medio=0.4;
					 $fino=0.3;
					 $extraFino=0.2;
					 //as cotas
					 $cota1=5;//inicio de tudo
					 $cota2=30;//final do cabecalho e inicio da amostra
				         $cota3=53;//pureza

				 	 $cota5=130;//inicio de germinacao
				         $cota6=0;
					 $cota7=157; //parte onde vao as caixinhas A,B,C,D,E,F.................
					 $cota8=260;
				     $cotaFinal=275;  
					 //LINHAS DO CONTORNO
					 $pdf->SetLineWidth($grosso);
					 $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,$cotaFinal);
					 
					 $pdf->SetLineWidth($fino);
				     ####################################CABECALHO################################################
			         $vetorLaboratorio=$objetocalculo->dadoslaboratorio();
					 $vetorCapturaGeral=$objetocalculo->capturaGeralAmostra($amostraLong);
                     $largo1=116;
					 $largo2=35;
					 $largo3=33;
                     $posicaoCab1=$margemEsquerda+$largo1;
					 $posicaoCab2=$posicaoCab1+$largo2;
					 $pdf->SetFont('Arial','B',8);
					 
					 $pdf->Line($posicaoCab1,$cota1,$posicaoCab1,$cota2);	
					 $pdf->Line($posicaoCab2,$cota1,$posicaoCab2,$cota2);
					 //linha vertical a direita do timbre
					 $pdf->SetFont('Arial','',8);
					 
					 $cota1=5;
					 //dados do laboratorio/parte da esquerda
					 $pdf->setXY($margemEsquerda,$cota1); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[0]),0,1,'L');


					 $pdf->setXY($margemEsquerda,$cota1+5); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[1]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+10); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[2]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+15); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[3]),0,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+20); 
					 $pdf->Cell($largo1,5,utf8_decode($vetorLaboratorio[4]),0,1,'L');

                     //parte central do cabeçalho  xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
					 $pdf->SetFont('Arial','B',8);

					 $pdf->setXY($posicaoCab1,$cota1);
					 $pdf->Cell($largo2,5,utf8_decode('FICHA DE ANÁLISE'),0,1,'L');
					 $pdf->SetFont('Arial','',8);

					 $pdf->setXY($posicaoCab1,$cota1+5);
					 $pdf->Cell($largo2,5,utf8_decode('AMOSTRA Nº:').$vetorCapturaGeral[1].'/'.substr($vetorCapturaGeral[36],0,4),0,1,'L');//lab nome
					 
					 //trabalha o boletim  VEM ASSIM: 12/07/2018270  SENDO O 270 O NUMERO DO BOLETIM
					 $dataEboletim=$vetorRaioX[3];
                     if(strlen(trim($dataEboletim))>3):
					     list($bolData, $bolNumero,$bolOperador) = explode("*", $dataEboletim);//
						 //$bolData=substr($dataEboletim,0,8);
					     //$bolNumero=substr($dataEboletim,8);//comeca no 8
					 endif;	 
					 $pdf->setXY($posicaoCab1,$cota1+9);
					 $pdf->Cell($largo2,5,utf8_decode('BAS Nº: ').$bolNumero.'   de:'.$bolData,0,1,'L');//lab nome
					 
					 //TRABALHA O INFORME
					 $dataEinforme=$vetorRaioX[4];
                     if(strlen($dataEinforme)>3):
					     list($infData, $infNumero,$infOperador) = explode("*", $dataEInforme);//
						 //$infData=substr($dataEinforme,0,8);
					     //$infNumero=substr($dataEinforme,8);//comeca no 8
				     endif;		 
					 $pdf->setXY($posicaoCab1,$cota1+12);
					 $pdf->Cell($largo2,5,utf8_decode('INF Nº: ').$infNumero.'   de:'.$infData,0,1,'L');//lab nome
					 
					 //se por acaso ele fez informe entao pega a rubrica do informe
					 //Se fez bolteim prevalece do boletim
					 //se fez ambos prevalece o do boletim
					 if(strlen($infOperador)>1)$operadorDoc= $infOperador;
					 if(strlen($bolOperador)>1)$operadorDoc= $bolOperador;
					 
					 $pdf->SetFont('Arial','B',6);
					 $pdf->setXY($posicaoCab1,$cota1+16);
					 $pdf->Cell($largo2,5,'Data:'.utf8_decode($operadorDoc),0,1,'L');
					 $pdf->setXY($posicaoCab1,$cota1+20);
					 $pdf->Cell($largo2,5,'Rubrica:'.utf8_decode($operadorDoc),0,1,'L');

                     //parte da direita do cabecalho 
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($posicaoCab2,$cota1);
					 $pdf->SetFont('Arial','',8);
					 $posicaoNorma=$margemEsquerda+$largo1+$largo2;
                     $pdf->setXY($posicaoNorma,5);
                     $pdf->Cell(40,4,utf8_decode("FORMULÁRIO"),0,0,'C');
                     $pdf->setXY($posicaoNorma,10);
                     $pdf->Cell(40,4,utf8_decode("ANEXO I-POP 22 E POP 25"),0,0,'C');
                     $pdf->setXY($posicaoNorma,15);
                     $pdf->Cell(40,4,utf8_decode("MODELO DE FICHA DE"),0,0,'C');
                     $pdf->setXY($posicaoNorma,20);
                     $pdf->Cell(40,4,utf8_decode("ANÁLISE"),0,0,'C');




/*
			        $vetorNormas=$objetocalculo->capturaNormas("Ficha","ADV",$idLabo);
					$posicaoNorma=$margemEsquerda+$largo1+$largo2;
					 $largo2=33;;
					if(substr($cliente,0,5)!='TS LA'):
						//$pdf->Rect($posicaoNorma,5,40,15);
						$pdf->setXY($posicaoNorma,10);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[1]),0,0);
						$pdf->setXY($posicaoNorma,14);  $pdf->Cell(40,4,utf8_decode("Emissão:".$vetorNormas[2]),0,0);
						$pdf->setXY($posicaoNorma,18);  $pdf->Cell(40,4,utf8_decode("Formulario:".$vetorNormas[3]),0,0);
                    endif;
*/

				     ################IDENTIFICACAO DA AMOSTRA##################################################
				     $largo1=100;
					 $largo2=40;
					 $largo3=54;				   

					 $pdf->Line($margemEsquerda,$cota2,$margemDireita,$cota2);//
				    
					 //primeira linha 
					 $alturaLinhaEspecial=3.8;
					 $cota1+=25;       
					 $pdf->SetXY($margemEsquerda,$cota1);
				  	 $pdf->SetFont('Arial','B',8);
					 $pdf->Cell($largo1,5,utf8_decode('Espécie:'.$vetorCapturaGeral[32]),0,0,'L'); 
					 $especieCultivada=trim($vetorCapturaGeral[32]);
					 $pdf->SetFont('Arial','I',8);
                     $cota1+=$alturaLinhaEspecial;
					 $pdf->SetXY($margemEsquerda,$cota1);
					 $pdf->Cell($largo2,5,utf8_decode($vetorCapturaGeral[30]),0,0,'L'); 


                     //segunda linha  					 
					 $pdf->SetXY($margemEsquerda,$cota1+$alturaLinhaEspecial);
					 $pdf->SetFont('Arial','',7);
					 $pdf->Cell($largo1,$alturaLinhaEspecial,utf8_decode('Cultivar:'.$vetorCapturaGeral[31]),0,0,'L');
					 $pdf->Cell($largo2,$alturaLinhaEspecial,utf8_decode('Safra:'.$vetorCapturaGeral[34]),0,0,'L');
					 $pdf->Cell($largo3,$alturaLinhaEspecial,utf8_decode('Categoria:'.$vetorCapturaGeral[33]),0,0,'L');
               
                     //terceira linha  
					 $pdf->SetXY($margemEsquerda,$cota1+2*$alturaLinhaEspecial);
					 $pdf->Cell($largo1,$alturaLinhaEspecial,utf8_decode('Lote:'.$vetorCapturaGeral[2]),0,0,'L');
					 $pdf->Cell($largo2,$alturaLinhaEspecial,utf8_decode('Represent:'.$vetorCapturaGeral[6]),0,0,'L');
					 $pdf->Cell($largo3,$alturaLinhaEspecial,utf8_decode('Balança:'.$vetorCapturaGeral[79]).'  Peso amostra:'.$vetorCapturaGeral[65],0,0,'L');
					 //quarta linha
					 $pdf->SetXY($margemEsquerda,$cota1+3*$alturaLinhaEspecial);
					
					 $pdf->Cell($largo1,$alturaLinhaEspecial,'Recebida em:'.date("d/m/Y",strtotime($vetorCapturaGeral[36])),0,0,'L');
					 $pdf->Cell($largo2,$alturaLinhaEspecial,utf8_decode('Peneira:'.$vetorCapturaGeral[35]),0,0,'L');
					 $tratamentoCampo=strtoupper($vetorCapturaGeral[66] ?? "");
                   	 if($tratamentoCampo=='-O-' || $tratamentoCampo=='-0-'):
					     $tratamentoCampo='Não tratada';				 
					 else:
					     $tratamentoCampo=$vetorCapturaGeral[66];
					 endif;
					 $pdf->Cell($largo3,$alturaLinhaEspecial,utf8_decode('Tratada:'.$tratamentoCampo),0,0,'L');
                     //quinta linha
					 $pdf->SetXY($margemEsquerda,$cota1+4*$alturaLinhaEspecial);
					 $pdf->Cell($largo1,$alturaLinhaEspecial,utf8_decode('Remetente:'.$vetorCapturaGeral[42]),0,0,'L');
					 $pdf->Cell($largo2+20,$alturaLinhaEspecial,utf8_decode('Procedência:'.$vetorCapturaGeral[58]),0,0,'L');
					 $pdf->Cell($largo3-20,$alturaLinhaEspecial,utf8_decode('Data/Ident:'.$vetorCapturaGeral[107]),0,0,'L');
                     //sexta linha
					 $pdf->SetXY($margemEsquerda,$cota1+5*$alturaLinhaEspecial);
					 $pdf->Cell(70,$alturaLinhaEspecial,utf8_decode('Registrador:'.$vetorCapturaGeral[80]),0,0,'L');
					 $pdf->Cell(110,$alturaLinhaEspecial,utf8_decode('Testes a realizar:'.$vetorCapturaGeral[44]),0,0,'L');
					 
					 //aqui vou fazer algo que depois posso colocar na classe calculos
					 //verificar se foi marcado pureza e nocivas para que coloque -O- caso nao foi solicitado isso
					 $todosTestes=$vetorCapturaGeral[44];
					 $tama=strlen($todosTestes);
					 $assinalouPUR="NAO";
					 $assinalouDOS="NAO";
					 $assinalouGER="NAO";
					 $assinalouEAC="NAO";
					 if($tama>3)://se nao marcou nada entao ne testa
                       for($i=1;$i<=$tama;$i++):
                          if(substr($todosTestes,$i,1)==";")://localiza o separador ;
                              if(substr($todosTestes,$i-3,3)=="PUR")$assinalouPUR="SIM";
                              if(substr($todosTestes,$i-3,3)=="DOS")$assinalouDOS="SIM";
                              if(substr($todosTestes,$i-3,3)=="GER")$assinalouGER="SIM";
                              if(substr($todosTestes,$i-3,3)=="EAC")$assinalouEAC="SIM";
                          endif;						  
					   endfor;                         					 
					 endif;
					 
					 
					
                     //VAI COLOCAR -O- EM TODOS LOCAIS ONDE DEU MARCOUPUREZA="NAO"					 
                     if($assinalouPUR=='NAO'):
						 $pdf->SetXY($margemEsquerda+40,$cota1+37);
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
					     $pdf->Cell(15,4.5,'-O-',0,0,'L');//no lugar do percentual
						 $pdf->Cell(20,4.5,'',0,0,'L');
					     $pdf->Cell(40,4.5,' ',0,0,'L');//no lugar do percentual
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');

                         //em outras sementes
						 $pdf->SetXY($margemEsquerda+135,$cota1+51);
						 $pdf->Cell(20,4.5,'-O-',0,0,'L');
     
                         //em outras especies cultivadas e silvestres
						 $pdf->SetXY($margemEsquerda+20,$cota1+85);
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
					 endif;
				
					 
					 
					 
                     //se marcou ncivas
                     if($assinalouDOS=='NAO'):
						 $pdf->SetXY($margemEsquerda+140,$cota1+85);
						 $pdf->Cell(70,4.5,'-O-',0,0,'L');
					 endif;



					  ##############cria setor de purezaaaa###############################################3
					 $cota1+=25;
					 $larguraPadrao=18;
					 $largo1=35;
					 $largo2=$larguraPadrao;
					 $largo3=$larguraPadrao;
					 $largo4=$larguraPadrao;
					 $largo5=$larguraPadrao;

					 $posicaoMeio=$margemEsquerda+$largo1+4*$larguraPadrao;//era 97
				     $altura=5.5;
					 $cota1a=$cota1+1*$altura;
					 $cota1b=$cota1+2*$altura;
					 $cota1c=$cota1+3*$altura;
					 $cota1d=$cota1+4*$altura;
					 $cota1e=$cota1+5*$altura;
					 $cota1f=$cota1+6*$altura;
					 $cota1g=$cota1+7*$altura;
					
				     //as linhas verticais de pureza
					 $cota4=97;//era 93
					 
					 $posicao1=$margemEsquerda+$largo1;                        
					 $posicao2=$margemEsquerda+$largo1+$largo2;                 
					 $posicao3=$margemEsquerda+$largo1+$largo2+$largo2;         
					 $posicao4=$margemEsquerda+$largo1+$largo2+$largo2+$largo2; 
				     $pdf->Line($posicao1,$cota1a,$posicao1,$cota4);//
					 $pdf->Line($posicao2,$cota1a,$posicao2,$cota4);//
					 $pdf->Line($posicao3,$cota1a,$posicao3,$cota4);//
					 $pdf->Line($posicao4,$cota1a,$posicao4,$cota4);//
					 //$pdf->Line($posicao4,10,$cota4);//


				     //as linhas horizontatis  de pureza
					 $pdf->Line($margemEsquerda,$cota1b,$posicaoMeio,$cota1b);//
					 $pdf->Line($margemEsquerda,$cota1c,$posicaoMeio,$cota1c);//
					 //$pdf->Line($margemEsquerda,$cota1d,$margemDireita,$cota1d);////LINHA QUE AFICA ACIMA DE OUTRAS SMENTES
					 $pdf->Line($margemEsquerda,$cota1d,$posicaoMeio,$cota1d);////LINHA QUE AFICA ACIMA DE OUTRAS SMENTES
					 $pdf->Line($margemEsquerda,$cota1e,$posicaoMeio,$cota1e);//
					 $pdf->Line($margemEsquerda,$cota1f,$posicaoMeio,$cota1f);//
					 $pdf->Line($posicaoMeio,$cota1a,$posicaoMeio,$cota4+5);//linha vertical final de pureza e inicio de naturaza do material inerte

				     //textos de pureza
					 
					 $pdf->SetXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',10);
					 //$pdf->Cell(80,5.5,utf8_decode('ANÁLISE DE PUREZA: (Em ').$vetorRaioX[97].'g)',1,0,'L');
					 $pdf->Cell(80,5.5,utf8_decode('ANÁLISE DE PUREZA'),1,0,'L');
					 $pdf->SetFont('Arial','',7);
					 if(strlen($vetorRaioX[104])<4)$vetorRaioX[104]="";
					 $dataRubrica=$vetorRaioX[154] .'/'. $vetorRaioX[153];
					 if(strlen($dataRubrica)<4)$dataRubrica="";
					 
					 $pdf->Cell(50,5.5,utf8_decode('Balança:' .$vetorRaioX[104]),1,0,'L');
					 $pdf->Cell(64,5.5,utf8_decode('Data/Rubrica:'.$dataRubrica ),1,0,'L');
					 
					 
					 
					 $pdf->SetXY($posicao1,$cota1a);
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'g',0,0,'C');	
					 $pdf->Cell($largo2,4.5,'%',0,0,'C');	
					 
					 $pdf->SetXY($posicaoMeio,$cota1a);
					 $pdf->Cell(90,4.5,'Natureza do Material Inerte:',0,1,'C');
					 $pdf->SetXY($posicaoMeio,$cota1a+5);
					 

					 if($vetorRaioX[55]=='-')$vetorRaioX[55]="";
					 $pdf-> MultiCell(70, 5, utf8_decode($vetorRaioX[55]),0,'L', false);
					 //$pdf->Cell(90,4.5,utf8_decode($vetorRaioX[55]),0,1,'C');// era assim ate 280520

				     //$pdf->Cell(12,4.5,$vetorRaioX[25],0,0,'L');//PERCENTAGEM INERTE
					 $pdf->SetXY($posicaoMeio,$cota1d);
					 //$pdf->Cell(90,4.5,'Outras sementes:',0,1,'L');
					 
					 
					 
					 
					 
					 
					 $pdf->SetXY($margemEsquerda,$cota1b); $pdf->Cell(50,4.5,'Amostra de Trabalho',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1c); $pdf->Cell(50,4.5,'Sementes Puras',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1d); $pdf->Cell(50,4.5,'Material inerte.',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1e); $pdf->Cell(50,4.5,'Outras sementes',0,0,'L');	
					 $pdf->SetXY($margemEsquerda,$cota1f); $pdf->Cell(50,4.5,'Peso final',0,0,'L');	

					 $posicao1+=5;  
					 
				 if($assinalouPUR!='NAO'):  //SE MARCOU PUREZA  ELE MOSTRA CASO CONTRARIO NAO MOSTRA
					 //VALORES DE LEITURA DE PUREZA e percentagem de pureza
					 //amostra de trabalho
					 $pdf->SetXY($posicao1,$cota1b); $pdf->Cell(20,4.5,$vetorRaioX[21],0,0,'L');	//peso amostra trabalho	
					 $pdf->Cell(12,4.5,'-',0,0,'L');//KKKKKKKKKKK
					 //sementes puras
					 $pdf->SetXY($posicao1,$cota1c); $pdf->Cell(20,4.5,$vetorRaioX[22],0,0,'L');	//peso SEMENTES PURAS
					 $pdf->Cell(12,4.5,utf8_decode($vetorRaioX[15]),0,0,'L');//PERCENTAGEM PURAS
                     //material inerte
					 $pdf->SetXY($posicao1,$cota1d); $pdf->Cell(20,4.5,utf8_decode($vetorRaioX[24]),0,0,'L');	//peso INERTE
					 $pdf->Cell(12,4.5,utf8_decode($vetorRaioX[25]),0,0,'L');//PERCENTAGEM INERTE
                     //outras sementes					 
					 $pdf->SetXY($posicao1,$cota1e); $pdf->Cell(20,4.5,utf8_decode($vetorRaioX[23]),0,0,'L');	//peso OUTRAS SEMENTES
					 $pdf->Cell(12,4.5,utf8_decode($vetorRaioX[26]),0,0,'L');//PERCENTAGEM OS
                     //peso final //ajuste feito para adv novembro2019
					 $somaPesoFinal=$vetorRaioX[22]+$vetorRaioX[23]+$vetorRaioX[24];
					 if($somaPesoFinal>0):
					   if($somaPesoFinal<1)$somaPesoFinal=number_format($somaPesoFinal,4,'.',',');
					   if($somaPesoFinal>=1 && $somaPesoFinal<10)$somaPesoFinal=number_format($somaPesoFinal,3,'.',',');
					   if($somaPesoFinal>=10 && $somaPesoFinal<100)$somaPesoFinal=number_format($somaPesoFinal,2,'.',',');
					   if($somaPesoFinal>=100 && $somaPesoFinal<1000)$somaPesoFinal=number_format($somaPesoFinal,1,'.',',');
					   if($somaPesoFinal>=1000)$somaPesoFinal=number_format($somaPesoFinal,2,',','');
					 endif;
					 
					 
					 
					 $pdf->SetXY($posicao1,$cota1f); $pdf->Cell(20,4.5,$somaPesoFinal,0,0,'L');	//peso final(os+mi+pu)
                     //soma das percentagens
					 $somaPercentagens=$vetorRaioX[15]+$vetorRaioX[25]+$vetorRaioX[26];
					 $pdf->Cell(12,4.5,number_format($somaPercentagens,1,'.',','),0,0,'L');//PERCENTAGEM pesos
                 endif;					 
			     //colocar -O- nos campos inutilizads de pureza
				 $posicao1+=35;
				 $pdf->SetXY($posicao1,$cota1b); //peso amostra trabalho	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				
				 $pdf->SetXY($posicao1,$cota1c); 	//peso SEMENTES PURAS
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->SetXY($posicao1,$cota1d); 	//peso INERTE
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(55,4.5,'OUTRAS SEMENTES	',0,0,'C');//-O-	
				 $pdf->SetXY($posicao1,$cota1e); 	//peso OUTRAS SEMENTES
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->SetXY($posicao1,$cota1f); 	//peso final(os+mi+pu)
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
				 $pdf->Cell(18,4.5,'-O-',0,0,'L');//-O-	
		
					 
					 ################AQUI SETOR DE OUTRAS CUTIVARES E CONTAMINANTES######################
					 $cota1+=37;
					 $largura1=58;
					 $largura2=58;
					 $largura3=58;
					 $largura4=10;
					 $largura5=10;
					 $largura6=$largura3+$largura4+$largura5;
					 //$largura3=$largura1+$largura2;

					 $posicao1=$margemEsquerda+$largura1;
					 $posicao2=$margemEsquerda+$largura1+$largura2;
					 $posicao3=$margemEsquerda+$largura1+$largura2+$largura1;
					 $pdf->Line($margemEsquerda,$cota1+1,$posicaoMeio,$cota1+1);//linha depois de peso final
					 $pdf->SetFont('Arial','',8);
					 $pdf->setXY($margemEsquerda,$cota1+1);
					 $pdf->cell(97,4.5,utf8_decode('VERIFICAÇÃO DE OC:').$vetorRaioX[251],0,0,'L');
					 $pdf->setXY(80,$cota1+1);
                      

					 $cota1+=4;
					 $cota5=$cota1+46;
			         $cota1a=$cota1+3;
			         $cota1b=$cota1+8;
			         $cota1c=$cota1+13;
					 
					 $pdf->setXY($margemEsquerda,$cota1a);
					 $pdf->SetFont('Arial','B',9);
					 $pdf->cell($largura1+$largura2,5,utf8_decode('DETERMINAÇÃO DE OUTRAS SEMENTES POR NÚMERO:'),1,1,'L');
					 $pdf->SetFont('Arial','',7);
					 $pdf->setXY($posicao2,$cota1a);
					 $dataRubrica=$vetorRaioX[216].'/'.$vetorRaioX[215];
					 if(strlen($dataRubrica)<4)$dataRubrica="";
					 $pdf->cell(78,5,utf8_decode('Data/Rubrica:'.$dataRubrica),1,0,'L');
					 //$pdf->cell(25,5,utf8_decode('Balançax:'.$vetorRaioX[283]),1,0,'L');
					  
					 $pdf->setXY($margemEsquerda,$cota1b);
                     //OUTRAS ESPECIES CULTIVADAS
					 $pesoRetornado1=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorCapturaGeral[94]);
					 $pesoRetornado2=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorRaioX[220]);
					 $pdf->cell($largura1,4.5,utf8_decode('Espécies Cultivadas em: ').$vetorRaioX[21] .'g',1,0,'C');	 
					 
					 //SILVESTRES	
					 $pesoRetornado1=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorRaioX[21]);
					 $pesoRetornado2=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorRaioX[21]);
					 $pdf->cell($largura2,4.5,'Sementes Silvestres: em '.$vetorRaioX[21].'g',1,0,'C');
					 $pesoSilvOesp=$vetorRaioX[21];
					 //NOCIVAS	
					 $pesoRetornado1=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorCapturaGeral[93]);
					 $pesoRetornado2=$objetocalculoRaioX->pesosAjustaCasasDecimais($vetorRaioX[105]);
					 $pesoRetornado2=$vetorRaioX[105];
					 $pesoNocivas=$pesoRetornado2;
					 //$pdf->cell($largura3,4.5,'Sementes Nocivas: em '.$pesoRetornado1   .'g/'. $pesoRetornado2 .'g'       ,1,0,'C');	
					 $pdf->cell($largura3,4.5,'Sementes Nocivas: em '. $pesoRetornado2 .'g'       ,1,0,'C');	
					 
					 
					 
					  
					 $pdf->cell($largura4,4.5,'NT',1,0,'C');
					 $pdf->cell($largura5,4.5,'NP',1,1,'C');
					 $pdf->setXY($margemEsquerda,$cota5-5);
					 $pdf->Line($margemEsquerda,$cota5-5,$margemDireita,$cota5-5);
					 $pdf->cell($largura1-10,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell($largura2-10,5,'Total:',1,0,'R');
					 $pdf->cell(10,5,'',0,0,'R');
					 $pdf->cell($largura3,5,'Total:',1,0,'R');
					 $pdf->setXY($posicao2,$cota1c);
					 $pdf->Line($margemEsquerda,$cota5,$margemDireita,$cota5);//linha horizontal fechando o setor
				     //tres linhas verticais separando silvestres,nocivas e oesp 
					 $posicao3nt=$posicao2+$largura3; 
					 $posicao3np=$posicao2+$largura3+$largura4; 
					 $pdf->Line($posicao1,$cota1c,$posicao1,$cota5);
					 $pdf->Line($posicao2,$cota1c,$posicao2,$cota5);
					 $pdf->Line($posicao3nt,$cota1c,$posicao3nt,$cota5);
					 $pdf->Line($posicao3np,$cota1c,$posicao3np,$cota5);
					 
				 if($assinalouPUR!='NAO')://testa se marcou pureza se sim vai mostrar dados caso contrario marca -o-
                     //imprime outras especies cultivadas					 
					 $posicaoOESP=$margemEsquerda+1;
					 $pdf->SetFont('Arial','I',7);
					 $contador=0;
                     $contaOESP=0;
					 $quantidadeEncontradaOESP=0;
					 for($i=1;$i<=$limiteOESP;$i++):
                        $contador+=4;
					    $pdf->setXY($posicaoOESP,$cota1b+$contador);
					    $pdf->cell($largura1-8,4.5,$vetorRXOESP[$i][0],0,0,'L');
						$contaminante=$vetorRXOESP[$i][0];
						if($contaminante=="Vigna unguiculata" && $especieCultivada=="SOJA"):
                           $quantidadeEncontradaOESP=$vetorRXOESP[$i][1];
                        endif; 
						
						if(substr($contaminante,0,5)=="Oryza" && $especieCultivada=="ARROZ"):
                           $quantidadeEncontradaOESP=$quantidadeEncontradaOESP+$vetorRXOESP[$i][1];
                        endif; 
						
						if($especieCultivada=="AVEIA BRANCA" || $especieCultivada=="AVEIA AMARELA"  || $especieCultivada=="AVEIA"  ):
						    if(substr($contaminante,0,14)=="Avena strigosa"): 
	                           $quantidadeEncontradaOESP=$vetorRXOESP[$i][1];
	                        endif; 
                        endif;
						if($especieCultivada=="AVEIA PRETA"  ):
						    if(substr($contaminante,0,5)=="Avena"): 
	                           $quantidadeEncontradaOESP=$vetorRXOESP[$i][1];
	                        endif; 
                        endif;	
						
						if($especieCultivada=="TRITICALE"  ):
						    if(substr($contaminante,0,5)=="Avena"): 
	                           $quantidadeEncontradaOESP=$vetorRXOESP[$i][1];
	                        endif; 
                        endif;	
												
						
						if($especieCultivada=="TRIGO" || $especieCultivada=="CENTEIO"   || $especieCultivada=="CEVADA"  ):
						    if(substr($contaminante,0,5)=="Avena"): 
	                           $quantidadeEncontradaOESP=$quantidadeEncontradaOESP+$vetorRXOESP[$i][1];
	                        endif; 
                        endif;						



						
						
					    $pdf->cell(5,4,$vetorRXOESP[$i][1],0,0,'L');
                        $contaOESP+=$vetorRXOESP[$i][1];
					 endfor;
				 //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaOESP==0):
                        $pdf->setXY($posicaoOESP+50,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;	
					 //imprime contaminantes silvestres
					 $posicaoSilvestres=$margemEsquerda+57;
					 $contador=0;
					 $contaSILV=0;
					 for($i=1;$i<=$limiteSILV;$i++):
                        $contador+=4;
					    $pdf->setXY($posicaoSilvestres,$cota1b+$contador);
					    $pdf->cell($largura1-6,4.5,$vetorRXSILV[$i][0],0,0,'L');
					    $pdf->cell(5,4,$vetorRXSILV[$i][1],0,0,'L');
                        $contaSILV+=$vetorRXSILV[$i][1];
                     endfor;
				 //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaSILV==0):
                        $pdf->setXY($posicaoSilvestres+50,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;	
                 endif;//testa se marcou pureza 					 
					 
 
				 if($assinalouDOS!='NAO'):
					 //imprime contaminantes NOCIVAS TOLERADAS
					 $posicaoNocivas=$margemEsquerda+116;
					 $contador=0;
                     $contaNOCT=0;
					 
					 
					 for($i=1;$i<=$limiteNOCT;$i++):
                        $contador+=4;
						$quantidadeTotalNoct=$vetorRXNOCT[$i][1];
						$quantidadePurezaNoct=$vetorRXFRAC[$i][1];
						if($quantidadePurezaNoct=='')$quantidadePurezaNoct='0';
						$quantidadeComplementoNoct=$quantidadeTotalNoct-$quantidadePurezaNoct;
				
					    $pdf->setXY($posicaoNocivas,$cota1b+$contador);
					    $pdf->cell($largura1+1,4.5,$vetorRXNOCT[$i][0],0,0,'L');//estava 3
					    $pdf->cell(5,4,'('.$quantidadePurezaNoct.')+('.$quantidadeComplementoNoct.')',0,0,'L');
                        $contaNOCT+=$vetorRXNOCT[$i][1];
                     endfor;
                     //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaNOCT==0):
                        $pdf->setXY($posicaoNocivas+60,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;					 
					 
                  
					 //imprime contaminantes NOCIVAS proibidas
                     $contaNOCP=0;
					 for($i=1;$i<=$limiteNOCP;$i++):
                        $contador+=4;
						$quantidadeTotalNocp=$vetorRXNOCP[$i][1];
						$quantidadePurezaNocp=$vetorRXFRAC[$i][1];
						if($quantidadePurezaNocp=='')$quantidadePurezaNocp='0';
						$quantidadeComplementoNocp=$quantidadeTotalNocp-$quantidadePurezaNocp;
					    $pdf->setXY($posicaoNocivas,$cota1b+$contador);
					    $pdf->cell($largura1+10,4.5,$vetorRXNOCP[$i][0],0,0,'L');
					    $pdf->cell(5,4,'('.$quantidadePurezaNocp.')+('.$quantidadeComplementoNocp.')',0,0,'L');
                        $contaNOCP+=$vetorRXNOCP[$i][1];
                     endfor;
					 //SE NAO ACHOU ELE DEVE POR O NUMERO ZERO 
					 if($contaNOCP==0):
                        $pdf->setXY($posicaoNocivas+$largura1+15,$cota1b+5);
					    $pdf->cell($largura1+3,4,'0',0,0,'L');					 
                     endif;	
			
					 		
				 endif;//TESTA SE MARCOU DOSNE
		



                     //imprime os totais de contaminantes
					 $cotaTotaisContaminantes=137;
					 //oesp
					 $pdf->setXY($posicaoOESP+48,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaOESP,0,0,'L');
                     //silv
					  $pdf->setXY($posicaoSilvestres+48,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaSILV,0,0,'L');
					 //noct
					 $pdf->setXY($posicaoNocivas+58,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaNOCT,0,0,'L');
					 //nocp
					 $pdf->setXY($posicaoNocivas+68,$cotaTotaisContaminantes);
					 $pdf->cell(15,4.5,$contaNOCP,0,0,'L');
					 
					 
                     //OUTRAS DETERMINACOES COMPOS EXCECOES IN45
					 $pdf->SetFont('Arial','',8);
					 $cotain45=$cotaTotaisContaminantes+8;
					 //$especie=$vetorCapturaGeral[32];
					 $textoin45="Reservado para exceções da IN45, se houver";
					 if($especieCultivada=="SOJA"):
                       $textoin45="Especie ". $especieCultivada. ".   Determinação de Vigna unguiculata em " . $pesoNocivas .  "g   Quantidade encontrada: " .$quantidadeEncontradaOESP ;
					 endif;
					 
					 if(substr($especieCultivada,0,5)=="ARROZ"):
                       $textoin45="Especie ". $especieCultivada. ".   Determinação de Outras espécies de arroz em " . $pesoNocivas .  "g   Quantidade encontrada: " .$quantidadeEncontradaOESP ;
					 endif;

					 if($especieCultivada=="AVEIA BRANCA" || $especieCultivada=="AVEIA AMARELA"  || $especieCultivada=="AVEIA"  ):
                       $textoin45="Especie ". $especieCultivada. ".   Determinação de Aveia Preta em " . $pesoSilvOesp .  "g   Quantidade encontrada: " .$quantidadeEncontradaOESP ;
					 endif;
					 
					 if($especieCultivada=="AVEIA PRETA"  ):
                       $textoin45="Especie ". $especieCultivada. ".   Determinação de outras aveias em " . $pesoSilvOesp .  "g   Quantidade encontrada: " .$quantidadeEncontradaOESP ;
					 endif;
					 
					 if($especieCultivada=="TRITICALE"  ):
                       $textoin45="Especie ". $especieCultivada. ".   Determinação de aveias em " . $pesoSilvOesp .  "g   Quantidade encontrada: " .$quantidadeEncontradaOESP ;
					 endif;
					 
					 if($especieCultivada=="TRIGO" || $especieCultivada=="CENTEIO"   || $especieCultivada=="CEVADA"  ):
                         $textoin45="Especie ". $especieCultivada. ".   Determinação de Aveias em " . $pesoSilvOesp .  "g   Quantidade encontrada: " .$quantidadeEncontradaOESP ;
					 endif;
                     $cotain45=145;
					 $pdf->setXY($margemEsquerda,$cotain45);
					 $pdf->cell(15,4.5,utf8_decode($textoin45),0,0,'L');
					 


					 
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 ################inicio da parte de GERMINACAO########################################
 //LASSUL PEGA O TESTE DE GERMINACAO E COLOCA NO LADO ESQUERDO E COLOCA O RESTETES DE GERMINACAO DO LADO DIREITO    $varx=$amostraLong;
//enxxerto para pegar id rean=================
//aqui vou capturar GERM QUE DO TESTE QUE VAI PARA BOLETIM
$genericaRean=new tabelagenerica();
$genericaRean->tabela="rean1";
$genericaRean->campos_valores = array(
	   "rea_id" => NULL,
);
$genericaRean->extras_select =" where rea_teste='GERM' and rea_boletim='S' and rea_ficha=".$amostraLong;
$genericaRean->selecionaCampos($genericaRean);
$vetorRean[1]=0;
while($resgenericaRean= $genericaRean->retornaDados()):
   $vetorRean[1]=$resgenericaRean->rea_id;
endwhile;
//$varx=$vetorRean[1];	
$vetorRaioX=$objetocalculoRaioX->capturaGeralRaioX($amostraLong);
//aqui vou capturar GERM QUE DO TESTE QUE NAO VAI PARA BOLETIM
$genericaRean=new tabelagenerica();
$genericaRean->tabela="rean1";
$genericaRean->campos_valores = array(
	   "rea_id" => NULL,
);
$genericaRean->extras_select =" where rea_teste='EAC'  and rea_ficha=".$amostraLong;
$genericaRean->selecionaCampos($genericaRean);
$vetorRean[2]=0;
while($resgenericaRean= $genericaRean->retornaDados()):
   $vetorRean[2]=$resgenericaRean->rea_id;
endwhile;
$varx=$vetorRean[2];
//fim do enxerto para pegar ida rean
		
  
 
 

        $parametroAvanco=97;
        $cota1+=49;//parametro onde comecam dados auxiliares era 46	 				 
		$cotaInicio=167;//inicio da grade de leituras  //era 160
		$alturaDasLinhas=4.5;
		$vetorTeste[1]="GERM";
    	$vetorTeste[2]="GER2";
		//vai abrir um for que vai fechar la no final
		$larguraBase=15;//largura para 4 colunas que depois divide por 2 se for 8 coluas
        for($tipoTeste=1;$tipoTeste<=2;$tipoTeste++)://teste pode ser GER,EAC,GE2


           $avancoX=($tipoTeste-1)*$parametroAvanco;
            
		   $teste=$vetorTeste[$tipoTeste];
           //$numeroDeColunas=$numCol[$tipoTeste];
		   if($teste=="GERM"):
               $reanLong=$vetorRaioX[62];

               //$reanLong=$vetorRean[1];
			   $varx=$reanLong;
		       $analista=$vetorRaioX[40];
               $nomeTeste='TESTE DE GERMINAÇÃO';
               $inicioTeste=$vetorRaioX[93];
			   $dataGeral=$vetorRaioX[39];
			   $dataGeral=date("d/m/Y",strtotime($dataGeral));
               $substrato=$vetorRaioX[36];			   
			   $germinador=$vetorRaioX[38];//GERMINADOR GER
			   $temperatura=$vetorRaioX[35];//TEMPERATURA GER
			   $analista=  $vetorRaioX[40]; //RUBRICA GER
			   $tratamento=$vetorRaioX[61];//TRATAMENTO GER
			   $duracao=$vetorRaioX[37];//duracao do eac
   			   if($assinalouGER=='NAO'):
				  $inicioTeste='-O-';//INICIADO GER
		          $dataGeral='-O-';
				  $substrato='-O-';//SUBSTRATO GER
				  $germinador='-O-';//GERMINADOR GER
				  $temperatura='-O-';//TEMPERATURA GER
				  $analista='-O-'; //RUBRICA GER
				  $tratamento='-O-';//TRATAMENTO GER
			   endif;
	       endif;//testa se é germinacao
		   //esse aqui na verdade é o envelhecimento
		   if($teste=="GER2")://
               //$reanLong=$vetorRaioX[91];
			   $reanLong=$vetorRean[2];
			   $varx=$reanLong;
		       $analista=$vetorRaioX[73];
               $nomeTeste='TESTE DE GERMINAÇÃO OU VIGOR';
               $inicioTeste=$vetorRaioX[94];
			   $dataGeral=$vetorRaioX[72];
			   $dataGeral=date("d/m/Y",strtotime($dataGeral));
			   if($reanLong<1)$dataGeral=' ';
               $substrato=$vetorRaioX[69];			   
			   $germinador=$vetorRaioX[71];//GERMINADOR GER
			   $temperatura=$vetorRaioX[68];//TEMPERATURA GER
			   $analista=  $vetorRaioX[73]; //RUBRICA GER
			   $tratamento=$vetorRaioX[74];//TRATAMENTO GER
			   $duracao=$vetorRaioX[70];//duracao do eac

   			   if($assinalouEAC=='NAO'):
				  $inicioTeste='-O-';//INICIADO GER
		          $dataGeral='-O-';
				  $substrato='-O-';//SUBSTRATO GER
				  $germinador='-O-';//GERMINADOR GER
				  $temperatura='-O-';//TEMPERATURA GER
				  $analista='-O-'; //RUBRICA GER
				  $tratamento='-O-';//TRATAMENTO GER
			   endif;
	       endif;//testa se é eac
           /////////////////////////////////
         $umQuarto=$parametroAvanco/2;//ERA 48
         $cota1a=$cota1+1*4.5;
         $cota1b=$cota1+2*4.5;
         $cota1c=$cota1+3*4.5;
         $cota1d=$cota1+4*4.5;
         $cota1e=$cota1+5*4.5;
		 $derrapa=10;//para reservar mais espaco para a primeira parte que tem substrato e tratamento que usam mais espaco
         $posicaoMeio=$parametroAvanco; //ERA 97
         //TEST3E DE GERMINACAO PADRAO 
		 $tamanho=strlen($analista);
		 $pdf->setXY($margemEsquerda+$avancoX,$cota1);
		 $pdf->SetFont('Arial','B',8);
		 $pdf->cell($parametroAvanco,4.5,utf8_decode($nomeTeste),1,0,'C',1);
		 $pdf->SetFont('Arial','',8);
         $pdf->setXY($margemEsquerda+$avancoX,$cota1a);
		 $pdf->cell($umQuarto+$derrapa,4.5,'Iniciado em: '.$inicioTeste,1,0,'L');//GER
		 $pdf->cell($umQuarto-$derrapa,4.5,utf8_decode('Final em:').$dataGeral,1,0,'L');

		 $pdf->setXY($margemEsquerda+$avancoX,$cota1b);
		 $pdf->cell($umQuarto+$derrapa,4.5,'Substrato: '.utf8_decode( $substrato),1,0,'L');
		 $pdf->cell($umQuarto-$derrapa,4.5,'Germ.: '.utf8_decode($germinador),1,0,'L');

		 $pdf->setXY($margemEsquerda+$avancoX,$cota1c);
		 $pdf->cell($umQuarto+$derrapa,4.5,'Temperatura: '.utf8_decode($temperatura),1,0,'L');
		 $pdf->cell($umQuarto-$derrapa,4.5,'Rubrica:'.$analista,1,0,'L');//GER
		 
         //tratamento se colocar asterisco ele captura o me depois do asterisco
		 list($tratamento, $ME) = explode("*", $tratamento);//
		 $pdf->setXY($margemEsquerda+$avancoX,$cota1d);
		 $pdf->cell($umQuarto*2+$derrapa/2-5,4.5,'Tratamento: '.utf8_decode($tratamento),1,0,'L');
		 $pdf->Line($margemEsquerda+$avancoX+71,$cota1d,$margemEsquerda+$avancoX+71,$cota1d+5);
		 $pdf->setXY($margemEsquerda+$avancoX+72,$cota1d);
		 //$pdf->cell($umQuarto*2+$derrapa/2-5,4.5,'ME-'.$ME,0,0,'L');
		 //$pdf->cell($umQuarto*2+$derrapa/2-5,4.5,'VARX'.$varx,0,0,'L');
		 $pdf->cell($umQuarto*2+$derrapa/2-5,4.5,utf8_decode('Contagens:'.$duracao.' Dias'),0,0,'L');
         
		 //$pdf->cell($umQuarto*2+$derrapa/2-5,4.5,'Tratamento: '.utf8_decode($tratamento),1,0,'L');
		 
		 //$pdf->cell($umQuarto*2+$derrapa/2-5,4.5,'Tratamento: '.utf8_decode($tratamento),1,0,'L');
		 //$pdf->cell($umQuarto-$derrapa,4.5,'',1,0,'L');
		 $matrizBaseNumeroCol=$objetoCalculoGerminacaoFichaPadrao->capturaBaseNumeroColunas($reanLong);
         $base=$matrizBaseNumeroCol[0];	//base	        		 
         $numeroDeColunas=$matrizBaseNumeroCol[1];//numero de colunas	

         //colocar uma regra geral//despejando a matriz do lab
	     $cota=$cotaInicio;
		 $passaDados="SIM";
   		 if($teste=='GERM' && $assinalouGER=='SIM')$passaDados='SIM';
   		 if($teste=='GER2' && $assinalouEAC=='SIM')$passaDados='SIM';
		 if($numeroDeColunas==4)$larguraColuna=$larguraBase;
		 if($numeroDeColunas==8)$larguraColuna=$larguraBase/2;
         //para resolver o caso que eu posso nao ter solicitado eac, e nem entrado la ai o numero de colunas fica zero
         if($numeroDeColunas<2)$numeroDeColunas=4;		 
		 //vai passar dados simples ou seja, sem compactacao
         if($passaDados=='SIM'): //vai capturar  a matriz/caso contrario nem vai entrar  
		    $vetorAdaptado=$objetoCalculoGerminacaoFichaPadrao->ajustaSimples($reanLong,$base,$numeroDeColunas);
		 else: //se nao passa entao coloca -n- 
		   //vai zerar todo vetor adaptado 
	       for($i=1;$i<30;$i++):
	           for($j=1;$j<=$numeroDeColunas;$j++):
			     $vetorAdaptado[$i][$j]="-N-";
			   endfor;		
		   endfor;		
         endif;//pergunta se passa 

         //coloca as letrinhas no topo das colunas
		 $vetorAdaptado[0][1]='A';
		 $vetorAdaptado[0][2]='B';
		 $vetorAdaptado[0][3]='C';
		 $vetorAdaptado[0][4]='D';
		 $vetorAdaptado[0][5]='E';
		 $vetorAdaptado[0][6]='F';
		 $vetorAdaptado[0][7]='G';
		 $vetorAdaptado[0][8]='H';
		//MATRIZ DE DIZERES(numera as linha na ficha e traz para ca hihihhi))
        $dizeres[1]='Normais';					
        $dizeres[2]='';	
        $dizeres[4]='Total';	
        $dizeres[5]='Anormais';					
        $dizeres[8]='Total';	
        $dizeres[9]='Duras( ) Dorm( )';					
        $dizeres[12]='Total';	
        $dizeres[13]='Mortas';					
        $dizeres[15]='Total';	
        $larguraDizeres=22;  
		 for($L=0;$L<=15;$L++):
		       $cota+=$alturaDasLinhas;
		       $pdf->setXY($margemEsquerda+$avancoX,$cota);
               $pdf->Cell($larguraDizeres,$alturaDasLinhas,utf8_decode($dizeres[$L]),1,0,'C');	
			   //vai imprimir as normais restringindo o setor
               if($L>=0 && $L<4):
	               $linhaSilas=$L;			   
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[$linhaSilas][$coluna],1,0,'C');	
	               endfor;
               endif;
			   //imprime o total de normais
			   if($L==4):
		           for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[25][$coluna],1,0,'C');	
		           endfor;                             
               endif; 
			   
			   
			   
			   //vai imprimir as anormais restringindo o setor
               if($L>4 && $L<8):
	               $linhaSilas=$L;			   
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[$linhaSilas][$coluna],1,0,'C');	
	               endfor;
               endif;
			   //imprime o total de anormais
			   if($L==8):
		           for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[26][$coluna],1,0,'C');	
		           endfor;                             
               endif; 
			

			   
			   ################################################################# 
			   //vai imprimir as duras + dormentes 
               if($L==9):
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++):
				      $duras=$vetorAdaptado[14][$coluna];
				      $dorme=$vetorAdaptado[15][$coluna];
                      $legendaFinal= $duras+$dorme;
					  if($teste=="GER2" && $assinalouEAC=="NAO")$legendaFinal='-N-';
					  if($teste=="GER" && $assinalouGER=="NAO")$legendaFinal='-N-';
  		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$legendaFinal,1,0,'C');	
	               endfor;
               endif;
			   //vai colocar duas linhas de brancos
               if($L>9 && $L<12):
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++):
  		              $pdf->Cell($larguraColuna,$alturaDasLinhas," ",1,0,'C');	
	               endfor;
               endif;
			   //vai imprimir o total
               if($L==12):
	               //$linhaSilas=$L+5;//resulta linha 14 do silas	que sao as dormentes		   
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++):
				      $duras=$vetorAdaptado[14][$coluna];
				      $dorme=$vetorAdaptado[15][$coluna];
                      $legendaFinal= $duras+$dorme;
					  
					  if($teste=="GER2" && $assinalouEAC=="NAO")$legendaFinal='-N-';
					  if($teste=="GER" && $assinalouGER=="NAO")$legendaFinal='-N-';
  		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$legendaFinal,1,0,'C');	
	               endfor;
               endif;
			   
			   
	
			   ############################################################
			   //vai imprimir as mortas  restringindo o setor
               if($L>12 && $L<15):
	               $linhaSilas=$L;//resulta linha 13 do silas			   
			       for($coluna=1;$coluna<=$numeroDeColunas;$coluna++):
                      //aqui vai colocar 1 linhas em branco a 14
				      if($L>13):
		                 $pdf->Cell($larguraColuna,$alturaDasLinhas,'',1,0,'C');	
					  else:
		                 $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[$linhaSilas][$coluna],1,0,'C');	
				      endif;	 
	               endfor;
               endif;
			   //imprime o total de mortas
			   if($L==15):
		           for($coluna=1;$coluna<=$numeroDeColunas;$coluna++): 
		              $pdf->Cell($larguraColuna,$alturaDasLinhas,$vetorAdaptado[28][$coluna],1,0,'C');	
		           endfor;                             
               endif;

		 endfor;//for que varia de 1 a 22 linhas
		 
		 
		 
		 //vai colocar alguns rect para as MEDIAS
         $posicaoMedias=$margemEsquerda+$avancoX+$larguraDizeres+$larguraBase*4;
		 $x=$posicaoMedias;
		 //$x=$x=$margemEsquerda+$avancoX+$larguraBase*5+1;
		 //$cotaInicio+=9;
		 $y=$cotaInicio+$alturaDasLinhas;
		 $Lx=$larguraBase+1;
		 $Hy=$alturaDasLinhas*15;
         //vai imprimir as medias
		 
         //$y1=$y+0*$alturaDasLinhas; //esta assim
		 
         $y1=$y+0*$alturaDasLinhas;
		 
		 $pdf->setXY($x,$y1);
         $pdf->Cell($larguraBase,$alturaDasLinhas,utf8_decode('Médias'),1,0,'C');
		 	
         if($teste=="GERM"):
		    $normais=$vetorRaioX[14];
		    //$anormais=$vetorRaioX[64]-$vetorRaioX[99];
		    $anormais=$vetorRaioX[64];
		    $durasDormentes=$vetorRaioX[66]+$vetorRaioX[67];
		    $mortas=$vetorRaioX[65];
            if($assinalouGER=='NAO'):
              $normais='-N-';	//normais
              $anormais='-N-';	//anormais
              $durasDormentes='-N-';	//dormentes
              $mortas='-N-';	//moratas
            endif;
		 endif;         
   		 if($teste=="GER2"):
		    $normais=$vetorRaioX[12];
		    $anormais=$vetorRaioX[76];
		    //$durasDormentes=$vetorRaioX[101]+$vetorRaioX[77];
		    $durasDormentes=$vetorRaioX[101];
		    $mortas=$vetorRaioX[78];
    		if($assinalouEAC!='SIM'):
              $normais='-N-';	//normais
              $anormais='-N-';	//anormais
              $durasDormentes='-N-';	//dormentes
              $mortas='-N-';	//mortas
            endif;
		 endif;
		 
		 //$durasDormentes=$teste.$assinalouEAC.$durasDormentes;
		 //$durasDormentes=$assinalouEAC;        
         $y1=$y+0*$alturaDasLinhas;$pdf->setXY($x,$y1);  $pdf->Cell($larguraBase,$alturaDasLinhas*5,$normais,1,0,'C');	//normais
         $y1=$y+5*$alturaDasLinhas;$pdf->setXY($x,$y1);  $pdf->Cell($larguraBase,$alturaDasLinhas*4,$anormais,1,0,'C');	//normais
         $y1=$y+9*$alturaDasLinhas;$pdf->setXY($x,$y1);  $pdf->Cell($larguraBase,$alturaDasLinhas*4,$durasDormentes,1,0,'C');	//duras
         $y1=$y+13*$alturaDasLinhas;$pdf->setXY($x,$y1);  $pdf->Cell($larguraBase,$alturaDasLinhas*3,$mortas,1,0,'C');	//normais
	endfor;//FECHA O FOR DO TIPOTESTE
	
		
	
	
	
	
	
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////
//////////fim da germinacao/////////////////////////////////////////////////////////////////////////////


                     //aqui de determinacoes adiconai para baixo
					 $cota1+=95;
                     $pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 //$pdf->SetFont('Arial','',8);
					 //OUTRAS DETERMINACOES LEGENDA E VALOR
					 $pdf->cell(30,4,utf8_decode('Determinações adicionais:'),0,1,'L');
					 ////////////////enxerto detes//////////////////
					 $pms=$vetorRaioX[13];
					 $inf=$vetorRaioX[18];
					 $infComposto=$vetorRaioX[18];//valor de inf original
					 $infLeitura1=$vetorRaioX[27];
					 $infLeitura2=$vetorRaioX[28];
					 $dtu=$vetorRaioX[20];
					 //sementes infestadas 2 casos: se colocou -n- apresenta -n- senao mostra a formulas
					 if($inf=='-N-'):
					   $composto='-N-';
                     else:
					   $infComposto="(".$infLeitura1." + ".$infLeitura2.")/2=".$inf; ;//valor de inf original
					 endif;					 
					 
                     $montaString="PMS=" .$pms."   INF=" .$infComposto."   DTU=" .$dtu;
				     $pdf->setXY($margemEsquerda,$cota1+5);
					 $pdf->cell(30,4,utf8_decode($montaString),0,1,'L');
					 //vai buscar os parametros 
					 //$eac=$objetocalculo->captura_OD_Especifica($amostraLong,'EAC');
					 //$pms=$objetocalculo->captura_OD_Especifica($amostraLong,'PMS');
					 //$vigorPrimeiraContagem=$objetocalculo->captura_OD_Especifica($amostraLong,'CLV');
					 //$texto= "Outras determinações:Vigor: 1ª cont.:".$vigorPrimeiraContagem."%    Vigor:E.AC.:".$eac."%     PMS:".$pms."g";				
					////////////////////////////////// 
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 
                     $cota1+=12;
					 

                     //$pdf->Rect($margemEsquerda,$cota1,$margemDireita-10,10); 
				     $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','',8);
					 $pdf->cell(20,4,utf8_decode('Observações:'),0,0,'L');
					 $pdf->cell(40,4,utf8_decode($vetorCapturaGeral[37]),0,0,'L');
                     /*					 
					 //AQUI VINHA UMAS COISAS DO LASSUL
					 $pdf->setXY($margemEsquerda,$cota1+7);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell(150,3,utf8_decode('Data/Rubrica:'),0,1,'R');
					 //analista rt etc
					 $cota1+=12;
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',7);
					 $pdf->cell(25,4,utf8_decode('Analista:'),0,0,'L');
					 $pdf->cell(50,4,utf8_decode('Data:'),0,0,'R');
					 $pdf->cell(50,4,utf8_decode('RT:'),0,0,'R');
                     */
					 $cota1=268;
					 $pdf->setXY($margemEsquerda,$cota1);
					 $pdf->SetFont('Arial','B',6);
					 $pdf->cell($larguraUtil,3,utf8_decode('TETRAZÓLIO Pré-umed. E.P.+-18H Temp 20ºC  Corte Longit.  Solução:TZ 0,1% 5-8H  Temp 35ºC'),1,1,'L');
					 $pdf->SetFont('Arial','',6);

					 $pdf->setXY($margemEsquerda,$cota1+3);
					 $pdf->cell($larguraUtil/4,3,utf8_decode('Repetição 01'),1,0,'L');
					 $pdf->cell($larguraUtil/4,3,utf8_decode('Repetição 02'),1,0,'L');
					 $pdf->cell($larguraUtil/4,3,utf8_decode('MÉDIA'),1,0,'L');
					 $pdf->cell($larguraUtil/4,3,utf8_decode(''),1,1,'L');

					 $pdf->setXY($margemEsquerda,$cota1+6);
					 $pdf->cell($larguraUtil/4,3,utf8_decode('S.Viáveis:'),1,0,'L');
					 $pdf->cell($larguraUtil/4,3,utf8_decode('S.Viáveis:'),1,0,'L');
					 $pdf->cell($larguraUtil/4,3,utf8_decode('S.Viáveis:'),1,0,'L');
					 $pdf->cell($larguraUtil/4,3,utf8_decode(''),1,1,'L');
					 
					$pdf->setXY($margemEsquerda,$cota1+9);
					$pdf->cell($larguraUtil/4,3,utf8_decode('S.Não Viáveis:'),1,0,'L');
					$pdf->cell($larguraUtil/4,3,utf8_decode('S.Não Viáveis:'),1,0,'L');
					$pdf->cell($larguraUtil/4,3,utf8_decode('S.NãoViáveis:'),1,0,'L');
					$pdf->cell($larguraUtil/4,3,utf8_decode(''),1,1,'L');
					 
					$pdf->setXY($margemEsquerda+50,$cota1+13);
					$pdf->cell($larguraUtil/4,3,utf8_decode('Data:'),0,0,'L');
					$pdf->cell($larguraUtil/4,3,utf8_decode('RT:'),0,0,'L');
					 
					 
					 
					 


					 
				 endif;

             endwhile; //este while abre a amostras atraves do campo amostraLong
			 
	
			 
			 
			 endfor;//este endfor encerra a varredura da amostra inicial ate aa final  
		ob_clean(); // Quando usava essa classe o ob_clean() resolvia meu problema
$pdf->Output("arquivo.pdf","I");
		
?>
